Bug 1480198 - update to 1.1.10 [NEEDINFO]
update to 1.1.10
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: dnf (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-10 07:41 EDT by Brian J. Murrell
Modified: 2017-10-02 10:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-02 04:24:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
brian.murrell: needinfo? (dmach)


Attachments (Terms of Use)

  None (edit)
Description Brian J. Murrell 2017-08-10 07:41:33 EDT
Description of problem:
The dnf package in EPEL is very old and doesn't seem to support using RHN, or at least perhaps if one is behind a proxy.

Version-Release number of selected component (if applicable):
dnf-0.6.4-2.el7.noarch

How reproducible:
100%

Please update to something more recent, like perhaps 1.1.10.
Comment 1 Pat Riehecky 2017-08-21 10:16:59 EDT
Playing around on 7.4, I was able to do get the fedora rpms for:

dnf-1.1.10-6
dnf-plugins-core-0.1.21-5
dnf-plugins-extras-0.0.12-4
hawkey-0.6.4-3

to build.
Comment 2 Brian J. Murrell 2017-09-27 08:05:35 EDT
@Daniel Mach: Why is this CLOSED EOL?  What does that mean in the context of EPEL7 tickets?
Comment 3 Brian J. Murrell 2017-09-28 08:17:03 EDT
I don't see any reason why this should be CLOSED and @Daniel didn't respond to my request for an explanation why it should be CLOSED EOL.  Reopening.
Comment 4 Anssi Johansson 2017-09-28 08:31:21 EDT
It may be useful to know that the Config Management SIG of CentOS https://wiki.centos.org/SpecialInterestGroup/ConfigManagementSIG packages dnf, currently at 2.6.3.

This hasn't been officially released yet, but packages are available at https://buildlogs.centos.org/centos/7/configmanagement/x86_64/dnf/
Comment 5 Igor Gnatenko 2017-10-02 04:24:01 EDT
(In reply to Brian J. Murrell from comment #3)
> I don't see any reason why this should be CLOSED and @Daniel didn't respond
> to my request for an explanation why it should be CLOSED EOL.  Reopening.

It means that DNF package in EPEL was retired. So no package, no bug ;)
Comment 6 Brian J. Murrell 2017-10-02 10:53:24 EDT
(In reply to Igor Gnatenko from comment #5)
> (In reply to Brian J. Murrell from comment #3)
> > I don't see any reason why this should be CLOSED and @Daniel didn't respond
> > to my request for an explanation why it should be CLOSED EOL.  Reopening.
> 
> It means that DNF package in EPEL was retired. So no package, no bug ;)

Can I ask why it was retired and not updated?  Is it expected that one can get it elsewhere?  Is the one from the Config Management SIG of CentOS supposed to be used?

Note You need to log in before you can comment on or make changes to this bug.